Bug 223429 - math/nfft 3.3.2: Nonequispaced fast Fourier transform
Summary: math/nfft 3.3.2: Nonequispaced fast Fourier transform
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-04 16:07 UTC by Account Removed
Modified: 2017-12-03 23:13 UTC (History)
2 users (show)

See Also:


Attachments
math/nfft (34.58 KB, patch)
2017-11-04 16:07 UTC, Account Removed
no flags Details | Diff
portlint -AC (12 bytes, text/plain)
2017-11-04 16:07 UTC, Account Removed
no flags Details
poudriere testport (WITH PATCHED LIBM) (97.01 KB, text/plain)
2017-11-04 16:08 UTC, Account Removed
no flags Details
math/nfft (34.64 KB, patch)
2017-11-06 18:44 UTC, Account Removed
no flags Details | Diff
poudriere testport (97.49 KB, text/plain)
2017-11-06 18:45 UTC, Account Removed
no flags Details
math/nfft (38.07 KB, patch)
2017-11-06 18:54 UTC, Account Removed
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Account Removed 2017-11-04 16:07:25 UTC
Created attachment 187728 [details]
math/nfft

/!\ At present this requres a patched libm to fix the missing cpow function: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=221341

NFFT is a software library, written in C, for computing non-equispaced fast
Fourier transforms and related variations. It implements the following
transforms:

1. Non-equispaced fast Fourier transform (NFFT)
 - forward transform (NFFT), i.e. frequency to time/space domain
 - adjoint transform (adjoint NFFT), i.e. time/space to frequency domain

2. Generalisations
 - to arbitrary nodes in time and frequency domain (NNFFT)
 - to real-valued data, i.e. (co)sine transforms, (NFCT, NFST)
 - to the sphere S^2 (NFSFT)
 - to the rotation group (NFSOFT)
 - to the hyperbolic cross (NSFFT)
3. Generalised inverse transformations based on iterative methods, e.g.
   CGNR/CGNE
Comment 1 Account Removed 2017-11-04 16:07:50 UTC
Created attachment 187729 [details]
portlint -AC
Comment 2 Account Removed 2017-11-04 16:08:39 UTC
Created attachment 187730 [details]
poudriere testport (WITH PATCHED LIBM)
Comment 3 Yuri Victorovich freebsd_committer 2017-11-04 17:05:07 UTC
Maybe it's better to not depend on bug#221341, but to replace the missing calls with ad-hoc implementations? Once bug#221341 is fixed, older OS versions will still not have those functions, and you will need to work around this anyway.
Comment 4 Account Removed 2017-11-06 16:57:01 UTC
Indeed, I forgot. Will try.
Comment 5 Account Removed 2017-11-06 18:44:45 UTC
Created attachment 187805 [details]
math/nfft
Comment 6 Account Removed 2017-11-06 18:45:07 UTC
Created attachment 187806 [details]
poudriere testport
Comment 7 Account Removed 2017-11-06 18:54:14 UTC
Created attachment 187807 [details]
math/nfft
Comment 8 commit-hook freebsd_committer 2017-12-03 23:13:01 UTC
A commit references this bug:

Author: rodrigo
Date: Sun Dec  3 23:12:35 UTC 2017
New revision: 455493
URL: https://svnweb.freebsd.org/changeset/ports/455493

Log:
  Add new port math/nfft

  NFFT is a software library, written in C, for computing non-equispaced fast
  Fourier transforms and related variations. It implements the following
  transforms:

  1. Non-equispaced fast Fourier transform (NFFT)
   - forward transform (NFFT), i.e. frequency to time/space domain
   - adjoint transform (adjoint NFFT), i.e. time/space to frequency domain

  2. Generalisations
   - to arbitrary nodes in time and frequency domain (NNFFT)
   - to real-valued data, i.e. (co)sine transforms, (NFCT, NFST)
   - to the sphere S^2 (NFSFT)
   - to the rotation group (NFSOFT)
   - to the hyperbolic cross (NSFFT)
  3. Generalised inverse transformations based on iterative methods, e.g.
     CGNR/CGNE

  PR:		223429
  Submitted by:	Michael Danilov <mike.d.ft402@gmail.com>

Changes:
  head/math/Makefile
  head/math/nfft/
  head/math/nfft/Makefile
  head/math/nfft/distinfo
  head/math/nfft/files/
  head/math/nfft/files/cpow.c
  head/math/nfft/files/patch-3rdparty_Makefile.am
  head/math/nfft/pkg-descr
  head/math/nfft/pkg-plist
Comment 9 Rodrigo Osorio freebsd_committer 2017-12-03 23:13:19 UTC
committed, thanks